import { BasicColumn } from '@/components/Table';

export const columns: BasicColumn[] = [
  {
    title: '序号',
    dataIndex: '',
    key: 'rowIndex',
    width: 60,
    align: 'center',
    customRender: function ({ text, record, index, column }) {
      return parseInt(index) + 1;
    },
  },
  {
    title: '站点名称',
    align: 'center',
    dataIndex: 'siteName',
  },
  {
    title: '邮箱',
    align: 'center',
    sorter: true,
    dataIndex: 'email',
  },
  {
    title: '类型',
    align: 'center',
    dataIndex: 'type',
  },
  {
    title: '黑白名单',
    align: 'center',
    dataIndex: 'blackOrWhite',
  },
  {
    title: '询盘数量',
    align: 'center',
    dataIndex: 'wasteEnquiryNum',
  },
  {
    title: '创建日期',
    align: 'center',
    dataIndex: 'createTime',
    sorter: true,
    customRender: function ({ text, record, index, column }) {
      return !text ? '' : text.length > 10 ? text.substr(0, 10) : text;
    },
  },
];

export const blackEmailColumns: BasicColumn[] = [
  {
    title: '站点名称',
    align: 'left',
    dataIndex: 'siteName',
  },
  { title: '姓名', align: 'left', dataIndex: 'contact' },
  {
    title: '邮箱',
    align: 'left',
    dataIndex: 'fromEmail',
  },
  {
    title: '电话',
    align: 'left',
    dataIndex: 'phone',
  },
  {
    title: '询盘时间',
    align: 'left',
    dataIndex: 'recordCtime',
  },
  { title: '操作', align: 'center', dataIndex: 'action' },
];
